Bug 444830 - Review Request: fpm2 - Password manager with GTK2 GUI
Review Request: fpm2 - Password manager with GTK2 GUI
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 17:18 EDT by Aleš Koval
Modified: 2008-05-08 15:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-08 15:22:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Aleš Koval 2008-04-30 17:18:11 EDT
Spec URL: http://als.regnet.cz/fpm2/download/fpm2.spec
SRPM URL: http://als.regnet.cz/fpm2/download/fpm2-0.71-1.fc8.src.rpm
Description: Fpm2 (Figaro's Password Manager 2) is a program that allows you to securely store the passwords using GTK2 interface. It also has a password generator and can acts as a kind of bookmark manager.

This is my first package, and I seeking a sponsor. rpmlint is silent and I correctly built and installed i386 and x86_64 fc8 packages. I'm one of authors and current maintainer.
Comment 1 Hans de Goede 2008-05-03 06:03:12 EDT
Hi Aleš,

Short intro: I'm a long time Fedora contributer and a sponsor. I haven't been
sponsoring anyone in a while as I've been rather busy with other stuff. But
getting new people into Fedora is important so I've decided to make some time
for sponsering again.  As such I would like to sponsor you. The first step here
would be to finish up the packaging of fpm2 so that it is in a state where it
can be approved (I haven't looked yet, it might already be).

Normally the next step then is for you to either package one or two more
packages, for example from these lists:
http://fedoraproject.org/wiki/SIGs/Games/WishList
http://fedoraproject.org/wiki/PackageMaintainers/WishList

Or to do some reviews of other people packages, when you do this please add
a note that it is not an official review as you aren't a contributer yet.

The purpose here is for you to show a good understanding of the packaging
guidelines. Once you've done a couple of good reviews and / or submitted one or
two more good packages, then you can apply for cvsextras membership in the
account system and I'll sponsor you.

---

As I already said this is the normal (and prefered) procedure, but seeing that
you're also upstream here, I wonder: are you planning on packaging other
software for Fedora, or do you just want to maintain fpm2 in Fedora?
Comment 2 Aleš Koval 2008-05-04 08:08:52 EDT
(In reply to comment #1)
> As I already said this is the normal (and prefered) procedure, but seeing that
> you're also upstream here, I wonder: are you planning on packaging other
> software for Fedora, or do you just want to maintain fpm2 in Fedora?

Hi Hans,
first I thank you for your comments. For time reasons now I prefer just maintain
fpm2 in Fedora. Later when I be less busy I want more participate on Fedora,
which  is my long time desktop distribution. So feel free to decide if you want
be my sponsor.
Comment 3 Hans de Goede 2008-05-05 04:27:41 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > As I already said this is the normal (and prefered) procedure, but seeing that
> > you're also upstream here, I wonder: are you planning on packaging other
> > software for Fedora, or do you just want to maintain fpm2 in Fedora?
> 
> Hi Hans,
> first I thank you for your comments. For time reasons now I prefer just maintain
> fpm2 in Fedora. Later when I be less busy I want more participate on Fedora,
> which  is my long time desktop distribution. So feel free to decide if you want
> be my sponsor.

Ok, we currently don't really have any special rules for an upstream maintainer
becoming a maintainer of its own software within Fedora, but this is definitely
something we want. So I would like to propose the following:

1 I review fpm2, you make any necessary changes etc, until I approve fpm2
2 Once fpm2 is approved you can request cvsextras membership in the account-
  system and I'll sponsor you
3 Given that you're new at packaging I'll then co-maintain fpm2 with you
  (mostly looking over your shoulder I'm more then busy enough as is).
4 Please refrain from touching other peoples packages as you've not been through
  the normal showing the ropes process involved in sponsering
5 If you want to submit another package please let me know then we can continue
  the sponsor process there.

Does this sound like a plan?
Comment 4 Aleš Koval 2008-05-05 05:09:48 EDT
(In reply to comment #3)
> Ok, we currently don't really have any special rules for an upstream maintainer
> becoming a maintainer of its own software within Fedora, but this is definitely
> something we want. So I would like to propose the following:
> 
> 1 I review fpm2, you make any necessary changes etc, until I approve fpm2
> 2 Once fpm2 is approved you can request cvsextras membership in the account-
>   system and I'll sponsor you
> 3 Given that you're new at packaging I'll then co-maintain fpm2 with you
>   (mostly looking over your shoulder I'm more then busy enough as is).
> 4 Please refrain from touching other peoples packages as you've not been through
>   the normal showing the ropes process involved in sponsering
> 5 If you want to submit another package please let me know then we can continue
>   the sponsor process there.
> 
> Does this sound like a plan?

Sounds good. I thank you for your trust and accept all your rules. 
Comment 5 Hans de Goede 2008-05-08 05:52:06 EDT
Ok, lets review this then. Here are the results of just checking the spec file 
(not behind a Linux machine atm).

In %files you write:
%{_datadir}/fpm2/pixmaps/*

But then the directories %{_datadir}/fpm2 and %{_datadir}/fpm2/pixmaps, will 
not be owned by any package and will be left behind after package removal, so 
instead you should write just:
%{_datadir}/fpm2

In %files, then rpmbuild will automatically own the dir, and include (and own) 
all files and dirs under that.

---

Also doesn't the menu entry have an icon? Or is the icon under
/usr/share/fpm2/pixmaps, and then referenced with an absolute path from 
the .desktop?

If that is the case thats rather ugly imho, instead the icon should be 
installed under /usr/share/icons/hicolor/48x48/apps

And referenced by just its name (without extension) from the .desktop file, 
when you do this you must also add icon-cache update scripts to the specifle as 
described here:
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets?
action=show&redirect=ScriptletSnippets#head-
7103f6c38d1b5735e8477bdd569ad73ea2c49bda

Note that if the icon is a different size then 48x48, you should ofcourse 
change 48x48 in the installation path.
Comment 6 Aleš Koval 2008-05-08 07:01:18 EDT
(In reply to comment #5)
> In %files you write:
> %{_datadir}/fpm2/pixmaps/*
> 
> But then the directories %{_datadir}/fpm2 and %{_datadir}/fpm2/pixmaps, will 
> not be owned by any package and will be left behind after package removal, so 
> instead you should write just:
> %{_datadir}/fpm2
> 
> In %files, then rpmbuild will automatically own the dir, and include (and own) 
> all files and dirs under that.

Yes, you right. I fix it.

> Also doesn't the menu entry have an icon? Or is the icon under
> /usr/share/fpm2/pixmaps, and then referenced with an absolute path from 
> the .desktop?

Menu entry have icon and is referenced with absolute path. As wrote in packaging
guidelines this is acceptable. FPM2 don't have true icon, it is own logo with
115x56 size and let gnome to scale it itself. You think this is bad way and I
must create single 48x48 icon?
Comment 7 Hans de Goede 2008-05-08 08:44:42 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > Also doesn't the menu entry have an icon? Or is the icon under
> > /usr/share/fpm2/pixmaps, and then referenced with an absolute path from 
> > the .desktop?
> 
> Menu entry have icon and is referenced with absolute path. As wrote in packaging
> guidelines this is acceptable. FPM2 don't have true icon, it is own logo with
> 115x56 size and let gnome to scale it itself. You think this is bad way and I
> must create single 48x48 icon?
> 

Okay, in that case it can stay as it is. I've done a full review now and
everything looks good except for the dir ownership issue, so please do a new
srpm with that fixed, then I can approve this and sponsor you (once you've
requested cvsextras membership that is).
Comment 8 Aleš Koval 2008-05-08 09:19:56 EDT
Okay, here is fixed package and spec:

Spec URL: http://als.regnet.cz/fpm2/download/fpm2.spec
SRPM URL: http://als.regnet.cz/fpm2/download/fpm2-0.71-2.fc8.src.rpm

I also found a fix other issue with desktop-install-file, that cause double
.desktop file install.
Comment 9 Hans de Goede 2008-05-08 09:32:11 EDT
Good, approved! Please create a fas account if you haven't already, request
cvsextras membership, and then let me know your fas loginname, then I'll sponsor
you.
Comment 10 Aleš Koval 2008-05-08 10:49:59 EDT
Thanks. I requested to cvsextras group and my fas login name is als.
Comment 11 Hans de Goede 2008-05-08 14:14:52 EDT
Ok, I've sponsored you, so you now have CVS access, next step would be to ask
for creation of a CVS module for fpm2, import the srpm with cvs-import.sh and
then build it.
Comment 12 Aleš Koval 2008-05-08 15:22:17 EDT
New Package CVS Request
=======================
Package Name: fpm2
Short Description: Password manager with GTK2 GUI
Owners: als
Branches: F-8 F-9 EL-5
InitialCC: als
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2008-05-08 15:45:29 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.